---
search:
  tags:
    - Tax Groups
    - GET
seo:
  description: >-
    Retrieves all tax groups for an application, including their… Reference for
    the GET /api/v1/{team_slug}/{app_slug}/tax-groups endpoint in the Management
    API.
sidebar:
  label: List all tax groups
  badge: GET
title: List all tax groups
type: openapi-operation
---
Retrieves all tax groups for an application, including their associated markets and country-specific tax percentages.

`GET /api/v1/{team_slug}/{app_slug}/tax-groups`

**Responses**

- `200` — List of tax groups
- `400` — Invalid request (e.g. bad UUID, validation error)
- `401` — Unauthorized access
- `500` — Internal server error

Response example, 200:

```json
{
  "data": [
    {
      "created_at": "string",
      "description": "string",
      "id": "string",
      "is_default": true,
      "markets": [
        {
          "active": true,
          "country_codes": [
            "string"
          ],
          "country_tax_percentages": [
            {
              "country_code": "string",
              "created_at": "string",
              "id": "string",
              "tax_percentage": 0,
              "updated_at": "string"
            }
          ],
          "created_at": "string",
          "currency_code": "string",
          "id": "string",
          "locale": "string",
          "name": "string",
          "slug": "string",
          "updated_at": "string"
        }
      ],
      "name": "string",
      "slug": "string",
      "updated_at": "string"
    }
  ],
  "success": true,
  "total": 0,
  "total_pages": 0
}
```
